library IEEE;
use IEEE.std_logic_1164.all;

entity Hexadecimal_7s is
   port(
      H : in  std_logic_vector(3 downto 0); -- Hexadecimal
      S : out std_logic_vector(7 downto 1)  -- 7 segmentos
      );
   end Hexadecimal_7s;

architecture Seleccion of Hexadecimal_7s is
begin
   process(H)
   begin
      case H is
         -- Segmento          abcdefg
         when "0000" => S <= "0000001";
         when "0001" => S <= "1001111";
         when "0010" => S <= "0010010";
         when "0011" => S <= "0000110";
         when "0100" => S <= "1001100";
         when "0101" => S <= "0100100";
         when "0110" => S <= "0100000";
         when "0111" => S <= "0001111";
         when "1000" => S <= "0000000";
         when "1001" => S <= "0000100";
         when "1010" => S <= "0001000";
         when "1011" => S <= "1100000";
         when "1100" => S <= "0110001";
         when "1101" => S <= "1000010";
         when "1110" => S <= "0110000";
         when others => S <= "0111000";
      end case;
   end process;
end Seleccion;
