library IEEE;
use IEEE.std_logic_1164.all;

entity Mux4_4_1 is
   port(
      Q  : in  std_logic_vector(1 downto 0); -- Selector
      H3 : in  std_logic_vector(3 downto 0); -- Entrada 3
      H2 : in  std_logic_vector(3 downto 0); -- Entrada 2
      H1 : in  std_logic_vector(3 downto 0); -- Entrada 1
      H0 : in  std_logic_vector(3 downto 0); -- Entrada 0
      Y  : out std_logic_vector(3 downto 0)  -- Salida
      );
   end Mux4_4_1;

architecture Seleccion of Mux4_4_1 is
begin
   process(H3,H2,H1,H0,Q)
   begin
      case Q is
         when "00"   => Y <= H0;
         when "01"   => Y <= H1;
         when "10"   => Y <= H2;
         when others => Y <= H3;
      end case;
   end process;
end Seleccion;
