library IEEE;
use IEEE.std_logic_1164.all;

entity Control_Pixel is
   port(
      EDS : in  std_logic;                    -- Habilitacion
      PIX : in  std_logic_vector(2 downto 0); -- Color
      R   : out std_logic;                    -- Red
      G   : out std_logic;                    -- Green
      B   : out std_logic                     -- Blue
      );
   end Control_Pixel;

architecture Simple of Control_Pixel is

begin

   R <= EDS AND PIX(2);
   G <= EDS AND PIX(1);
   B <= EDS AND PIX(0);

end Simple;