library IEEE;
use IEEE.std_logic_1164.all;

entity Mux_4_1 is
   port(
      Q  : in  std_logic_vector(1 downto 0); -- Selector
      P3 : in  std_logic;                    -- Entrada 3
      P2 : in  std_logic;                    -- Entrada 2
      P1 : in  std_logic;                    -- Entrada 1
      P0 : in  std_logic;                    -- Entrada 0
      PD : out std_logic                     -- Salida
      );
   end Mux_4_1;

architecture Seleccion of Mux_4_1 is
begin
   process(P3,P2,P1,P0,Q)
   begin
      case Q is
         when "00"   => PD <= NOT(P0);
         when "01"   => PD <= NOT(P1);
         when "10"   => PD <= NOT(P2);
         when others => PD <= NOT(P3);
      end case;
   end process;
end Seleccion;
